VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ImportFlag Interface Reference

The `ImportFlag` interface provides methods for retrieving information about the import flags supported by the deployment platform. More...

Inherited by vmware::vcenter::ovf::ImportFlagStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.ovf.ImportFlagTypes.Info > | List (string rp)
| Returns information about the import flags supported by the deployment platform.
global::System.Collections.Generic.List < vmware.vcenter.ovf.ImportFlagTypes.Info > | List (string rp, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the import flags supported by the deployment platform.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ovf.ImportFlagTypes.Info > > | ListAsync (string rp)
| Returns information about the import flags supported by the deployment platform.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.ovf.ImportFlagTypes.Info > > | ListAsync (string rp, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about the import flags supported by the deployment platform.

## Detailed Description

The `ImportFlag` interface provides methods for retrieving information about the import flags supported by the deployment platform.

Import flags can be specified in a LibraryItem.ResourcePoolDeploymentSpec to customize an OVF deployment.

## Member Function Documentation

global::System.Collections.Generic.List<vmware.vcenter.ovf.ImportFlagTypes.Info> vmware::vcenter::ovf::ImportFlag::List | ( | string | rp | ) |

Returns information about the import flags supported by the deployment platform.

The supported flags are:

- LAX Lax mode parsing of the OVF descriptor.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the resource pool associated with rp does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `ResourcePool` referenced by the parameter rp requires `System.Read` .

Parameters:

  rp | The identifier of resource pool target for retrieving the import flag(s). The parameter must be an identifier for the resource type: `ResourcePool` .

Returns:
  A list of supported import flags.

Implemented in vmware::vcenter::ovf::ImportFlagStub.

global::System.Collections.Generic.List<vmware.vcenter.ovf.ImportFlagTypes.Info> vmware::vcenter::ovf::ImportFlag::List | ( | string | rp,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about the import flags supported by the deployment platform.

The supported flags are:

- LAX Lax mode parsing of the OVF descriptor.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the resource pool associated with rp does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `ResourcePool` referenced by the parameter rp requires `System.Read` .

Parameters:

  rp | The identifier of resource pool target for retrieving the import flag(s). The parameter must be an identifier for the resource type: `ResourcePool` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  A list of supported import flags.

Implemented in vmware::vcenter::ovf::ImportFlagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ovf.ImportFlagTypes.Info> > vmware::vcenter::ovf::ImportFlag::ListAsync | ( | string | rp | ) |

Returns information about the import flags supported by the deployment platform.

The supported flags are:

- LAX Lax mode parsing of the OVF descriptor.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the resource pool associated with rp does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `ResourcePool` referenced by the parameter rp requires `System.Read` .

Parameters:

  rp | The identifier of resource pool target for retrieving the import flag(s). The parameter must be an identifier for the resource type: `ResourcePool` .

Returns:
  A list of supported import flags.

Implemented in vmware::vcenter::ovf::ImportFlagStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.ovf.ImportFlagTypes.Info> > vmware::vcenter::ovf::ImportFlag::ListAsync | ( | string | rp,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about the import flags supported by the deployment platform.

The supported flags are:

- LAX Lax mode parsing of the OVF descriptor.

Future server versions might support additional flags.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the resource pool associated with rp does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `ResourcePool` referenced by the parameter rp requires `System.Read` .

Parameters:

  rp | The identifier of resource pool target for retrieving the import flag(s). The parameter must be an identifier for the resource type: `ResourcePool` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  A list of supported import flags.

Implemented in vmware::vcenter::ovf::ImportFlagStub.

The documentation for this interface was generated from the following file:

- ImportFlag.cs